﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MDITest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraToolbarsManager1.CreationFilter = new RemoveArrowCreationFilter();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.addNewForm();
        }

        private ChildForm addNewForm()
        {
            ChildForm newForm = new ChildForm();
            ChildForm prevForm = null;
            int numForms;
            int newFormNum;
            int prevFormIndex;

            // Number of MDI child forms
            numForms = this.MdiChildren.GetLength(0);
            newFormNum = numForms + 1;

            // Define new form
            newForm.Name = "frmButtons" + newFormNum.ToString();
            newForm.Text = "Buttons " + newFormNum.ToString();

            // Arrange the buttons so that they are in
            // different positions on each form
            if (newFormNum > 1)
            {
                prevFormIndex = newFormNum - 2;
                prevForm = (ChildForm)this.MdiChildren.GetValue(prevFormIndex);
                // Base button position on position of
                // button on previous form
                newForm.ultraButton1.Top =
                  prevForm.ultraButton1.Top + prevForm.ultraButton1.Height;
            }

            // Add new form to MDI parent
            newForm.MdiParent = this;
            newForm.Show();
            return newForm;
        }
    }
}
